

(function () {
	'use strict'

	// 通过 tinymce.util.Tools.resolve 加载 tinymce 的模块
	var global = tinymce.util.Tools.resolve('tinymce.PluginManager')




	var register = function (editor) {
		// 相关的业务逻辑

	}
	var Commands = { register: register }

	var register$1 = function (editor) {
		// 按钮相关的业务逻辑
		editor.ui.registry.getAll().icons.upfile || editor.ui.registry.addIcon('upfile', '<svg viewBox="0 0 1280 1024" xmlns="http://www.w3.org/2000/svg" width="24" height="24"><path d="M1126.2,779.8V87.6c0-24-22.6-86.9-83.5-86.9H83.5C14.7,0.7,0,63.7,0,87.7v692c0,36.2,29.2,89.7,83.5,89.7l959.3-1.3c51.7,0,83.5-42.5,83.5-88.3zm-1044,4V86.3h961.6V783.7H82.2v0.1z" fill="#53565A"/><path d="M603,461.6L521.1,366.3,313,629.8,227.2,546.8,102.4,716.8H972.8v-170L768.2,235.2,603.1,461.6zM284.6,358.4a105.4,105.4,0,0,0,73.5-30c19.5-19.1,30.3-45,30.2-71.8,0-56.8-45.9-103-102.4-103-56.6,0-102.4,46.1-102.4,103C183.4,313.5,228,358.4,284.6,358.4z" fill="#9598A0"/><path d="M1197.7,153.6l-0.3,669.3s13.5,113.9-67.4,113.9H153.6c0,24.1,23.9,87.2,83.5,87.2h959.3c58.3,0,83.6-49.5,83.6-89.9V240.8c-0.1-41.8-44.9-87.2-82.3-87.2z" fill="#53565A"/></svg>');

		editor.ui.registry.addButton('upfile', {
			icon: 'upfile',
			tooltip: '添加附件',
			onSetup: function (buttonApi) {
				console.log('buttonApi',buttonApi)
			},
			onAction: function () {
				// let voiceHtml = `<span contenteditable="false" style="display: inline-block;width:100%;vertical-align: bottom;margin:0 5px;border: 1px solid skyblue;height: 60px;padding-left: 10px;">
				// 					<img src="/tinymce/plugins/upfile/MP3.svg" style="height: 40px;margin-top: 10px;vertical-align: middle;margin-right: 10px;">
				// 					<span style="display: inline-block;width: 90px;margin-top: 13px;vertical-align: top;font-size:0px;">
				// 						<span style="font-size: 12px;color: grey;">语音文件.mp3</span>
				// 						<span style="display: inline-block;width: 70px;font-size: 12px;color: grey;text-align: right;">1.0 Mb</span>
				// 					</span>
				// 				</span>`
				// let voiceHtml2 = `<span style='display:inline-block;width:120px;'contenteditable="false" >
				// 						<span>222222222222</span>
				// 						<span>333333333333</span>
				// 				</span>`
				// editor.insertContent(voiceHtml)
				console.log('测试按钮')

			},
			setEnabled: state => {
				console.log(buttonApi)
			}
		});
	}
	var Buttons = { register: register$1 }

	var Plugin = () => {
		// global 其实是 PluginManager
		// 通过 add 把当前 hr 插件注册到 tinymce 插件中
		global.add('upfile', editor => {
			// 注册公共方法
			Commands.register(editor)
			// 注册 toolbar 的按钮
			Buttons.register(editor)
			return {};
		})
	}

	// 插件加载后唯一执行的方法
	Plugin()
})();
