import $ from 'jquery'
export default function formatEditorArea(editor) {
  // 没有box的img
  let noBoxImgList = $(
    '*:not(div[data-image="imgBox"]) > img[data-image="imageflag"]'
  );
  if (
    noBoxImgList.length != 0 &&
    noBoxImgList.parent()[0].tagName !== "LI"
  ) {
    console.log("没有box的img");
    editor.execCommand("insertImgBox", false, noBoxImgList[0]);
  }

  // 有br的Box
  let noImgBoxList = $('div[data-image="imgBox"] > br');
  if (noImgBoxList.length != 0) {
    console.log("有br的Box");
    editor.execCommand("InsertNullParagraph");
    noImgBoxList.parent().remove();
  }

  // 为空的box
  let nullBoxList = $('div[data-image="imgBox"]:empty');
  if (nullBoxList.length != 0) {
    console.log("为空的box");
    editor.execCommand("InsertNullParagraph");
    nullBoxList.remove();
  }

  // 格式化图片
  let imgBoxList = $('div[data-image="imgBox"]');
  for (let i = 0; imgBoxList.length > i; i++) {
    let childNodesList = imgBoxList[i].childNodes;
    if (
      imgBoxList[i].childNodes.length == 1 &&
      childNodesList[0].tagName != "IMG"
    ) {
      // debugger
      console.log("格式化图片");
      // $(imgBoxList[i]).find("img").unwrap();
      imgBoxList[i].remove()

    }
  }

  // 为空的blockLine
  let nullBlockLineList = $('div[data-block="blockLine"]:empty');
  if (nullBlockLineList.length != 0) {
    console.log("为空的blockLine");
    nullBlockLineList.remove();
  }

}
function imgbox2p(dom) {
  $(dom).unwrap().wrap('<div data-image="imgBox"></div>')
}