import Vue from "vue";
import VueRouter from "vue-router";
import EditorJs from "../views/EditorJs.vue";
import QWebChannel from '../assets/js/qwebchannel'

Vue.use(VueRouter);

// 建立通信
if (window.isWebengine) {
  new QWebChannel(qt.webChannelTransport,
    function (channel) {
      Vue.prototype.$QWebChannel = channel.objects.jsBackend
      //例如 this.$QWebChannel.callJsSetInitFont.connect(setInitFont);
      router.push('/EditorJs')
    }
  )
}

const routes = [
  {
    path: "/EditorJs",
    name: "EditorJs",
    component: EditorJs,
  }
];
const router = new VueRouter({
  routes,
});

export default router;